# Create a filter **PUT /_ml/filters/{filter_id}** A filter contains a list of strings. It can be used by one or more anomaly detection jobs. Specifically, filters are referenced in the `custom_rules` property of detector configuration objects. ## Required authorization * Cluster privileges: `manage_ml` ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Api key auth - Basic auth - Bearer auth ## Parameters ### Path parameters - **filter_id** (string) A string that uniquely identifies a filter. ### Body: application/json (object) - **description** (string) A description of the filter. - **items** (array[string]) The items of the filter. A wildcard `*` can be used at the beginning or the end of an item. Up to 10000 items are allowed in each filter. ## Responses ### 200 #### Body: application/json (object) - **description** (string) - **filter_id** (string) - **items** (array[string]) [Powered by Bump.sh](https://bump.sh)